axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Davanum Srinivas (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (AXIS2-689) Conditional build support for modules based on JDK version
Date Mon, 08 May 2006 10:37:21 GMT
     [ http://issues.apache.org/jira/browse/AXIS2-689?page=all ]
     
Davanum Srinivas resolved AXIS2-689:
------------------------------------

    Resolution: Fixed

Applied.

thanks,
dims

> Conditional build support for modules based on JDK version
> ----------------------------------------------------------
>
>          Key: AXIS2-689
>          URL: http://issues.apache.org/jira/browse/AXIS2-689
>      Project: Apache Axis 2.0 (Axis2)
>         Type: Improvement

>   Components: samples, build,site  & docs
>     Versions: 0.95
>     Reporter: Kenneth Tam
>     Priority: Minor
>  Attachments: jdk15.patch
>
> The maven build today doesn't make it easy to have modules that require a particular
JDK.  This is problematic for supporting Java specs like JAX-B, JAX-WS etc which require JDK
1.5.  This patch adds a new property "maven.multiproject.includes.requiresJDK15", where modules
that require JDK 1.5 can be listed.  The build will check the specification version of the
JDK in use by the developer, and include those modules only if an appropriate version is present.

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://issues.apache.org/jira/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira


Mime
View raw message